Package com.emc.d2fs.models.search_query_term

# Class SearchQueryTerm

java.lang.Object
com.emc.d2fs.models.search_query_term.SearchQueryTerm

All Implemented Interfaces:
  `Serializable`

public class SearchQueryTerm extends Object implements Serializable

Java class for search_query_term complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="search_query_term">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="searchedTypes" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="conditionLogicalList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="conditionOpenBracketList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="conditionAttributeNameList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="conditionOperatorList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="conditionAttributeValueList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="conditionCloseBracketList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="pathList" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="colNames" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="facets" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="objectId" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="objectName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fullTextCondition" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fullTextOperator" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="fullTextWords" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="descend" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="orderBy" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="orderByDirection" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchQueryTerm()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getColNames()`
  Gets the value of the colNames property.
  `List<String>`
  `getConditionAttributeNameList()`
  Gets the value of the conditionAttributeNameList property.
  `List<String>`
  `getConditionAttributeValueList()`
  Gets the value of the conditionAttributeValueList property.
  `List<String>`
  `getConditionCloseBracketList()`
  Gets the value of the conditionCloseBracketList property.
  `List<String>`
  `getConditionLogicalList()`
  Gets the value of the conditionLogicalList property.
  `List<String>`
  `getConditionOpenBracketList()`
  Gets the value of the conditionOpenBracketList property.
  `List<String>`
  `getConditionOperatorList()`
  Gets the value of the conditionOperatorList property.
  `List<String>`
  `getFacets()`
  Gets the value of the facets property.
  `String`
  `getFullTextCondition()`
  Gets the value of the fullTextCondition property.
  `String`
  `getFullTextOperator()`
  Gets the value of the fullTextOperator property.
  `String`
  `getFullTextWords()`
  Gets the value of the fullTextWords property.
  `String`
  `getObjectId()`
  Gets the value of the objectId property.
  `String`
  `getObjectName()`
  Gets the value of the objectName property.
  `String`
  `getOrderBy()`
  Gets the value of the orderBy property.
  `String`
  `getOrderByDirection()`
  Gets the value of the orderByDirection property.
  `List<String>`
  `getPathList()`
  Gets the value of the pathList property.
  `List<String>`
  `getSearchedTypes()`
  Gets the value of the searchedTypes property.
  `Boolean`
  `isDescend()`
  Gets the value of the descend property.
  `void`
  `setDescend(Boolean value)`
  Sets the value of the descend property.
  `void`
  `setFullTextCondition(String value)`
  Sets the value of the fullTextCondition property.
  `void`
  `setFullTextOperator(String value)`
  Sets the value of the fullTextOperator property.
  `void`
  `setFullTextWords(String value)`
  Sets the value of the fullTextWords property.
  `void`
  `setObjectId(String value)`
  Sets the value of the objectId property.
  `void`
  `setObjectName(String value)`
  Sets the value of the objectName property.
  `void`
  `setOrderBy(String value)`
  Sets the value of the orderBy property.
  `void`
  `setOrderByDirection(String value)`
  Sets the value of the orderByDirection property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SearchQueryTerm

    public SearchQueryTerm()

- ## Method Details

  - ### getSearchedTypes

    public List<String> getSearchedTypes()
    Gets the value of the searchedTypes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the searchedTypes property.

    For example, to add a new item, do as follows:

            getSearchedTypes().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getConditionLogicalList

    public List<String> getConditionLogicalList()
    Gets the value of the conditionLogicalList property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conditionLogicalList property.

    For example, to add a new item, do as follows:

            getConditionLogicalList().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getConditionOpenBracketList

    public List<String> getConditionOpenBracketList()
    Gets the value of the conditionOpenBracketList property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conditionOpenBracketList property.

    For example, to add a new item, do as follows:

            getConditionOpenBracketList().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getConditionAttributeNameList

    public List<String> getConditionAttributeNameList()
    Gets the value of the conditionAttributeNameList property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conditionAttributeNameList property.

    For example, to add a new item, do as follows:

            getConditionAttributeNameList().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getConditionOperatorList

    public List<String> getConditionOperatorList()
    Gets the value of the conditionOperatorList property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conditionOperatorList property.

    For example, to add a new item, do as follows:

            getConditionOperatorList().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getConditionAttributeValueList

    public List<String> getConditionAttributeValueList()
    Gets the value of the conditionAttributeValueList property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conditionAttributeValueList property.

    For example, to add a new item, do as follows:

            getConditionAttributeValueList().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getConditionCloseBracketList

    public List<String> getConditionCloseBracketList()
    Gets the value of the conditionCloseBracketList property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conditionCloseBracketList property.

    For example, to add a new item, do as follows:

            getConditionCloseBracketList().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getPathList

    public List<String> getPathList()
    Gets the value of the pathList property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pathList property.

    For example, to add a new item, do as follows:

            getPathList().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getColNames

    public List<String> getColNames()
    Gets the value of the colNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the colNames property.

    For example, to add a new item, do as follows:

            getColNames().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getFacets

    public List<String> getFacets()
    Gets the value of the facets property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the facets property.

    For example, to add a new item, do as follows:

            getFacets().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getObjectId

    public String getObjectId()
    Gets the value of the objectId property.
    Returns:
      possible object is `String`

  - ### setObjectId

    public void setObjectId(String value)
    Sets the value of the objectId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getObjectName

    public String getObjectName()
    Gets the value of the objectName property.
    Returns:
      possible object is `String`

  - ### setObjectName

    public void setObjectName(String value)
    Sets the value of the objectName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFullTextCondition

    public String getFullTextCondition()
    Gets the value of the fullTextCondition property.
    Returns:
      possible object is `String`

  - ### setFullTextCondition

    public void setFullTextCondition(String value)
    Sets the value of the fullTextCondition property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFullTextOperator

    public String getFullTextOperator()
    Gets the value of the fullTextOperator property.
    Returns:
      possible object is `String`

  - ### setFullTextOperator

    public void setFullTextOperator(String value)
    Sets the value of the fullTextOperator property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFullTextWords

    public String getFullTextWords()
    Gets the value of the fullTextWords property.
    Returns:
      possible object is `String`

  - ### setFullTextWords

    public void setFullTextWords(String value)
    Sets the value of the fullTextWords property.
    Parameters:
      `value` - allowed object is `String`

  - ### isDescend

    public Boolean isDescend()
    Gets the value of the descend property.
    Returns:
      possible object is `Boolean`

  - ### setDescend

    public void setDescend(Boolean value)
    Sets the value of the descend property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getOrderBy

    public String getOrderBy()
    Gets the value of the orderBy property.
    Returns:
      possible object is `String`

  - ### setOrderBy

    public void setOrderBy(String value)
    Sets the value of the orderBy property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOrderByDirection

    public String getOrderByDirection()
    Gets the value of the orderByDirection property.
    Returns:
      possible object is `String`

  - ### setOrderByDirection

    public void setOrderByDirection(String value)
    Sets the value of the orderByDirection property.
    Parameters:
      `value` - allowed object is `String`